/**
 * Created by blr on 20/04/15.
 */
/** Update component component properties */
try{

    /** On Update Gateway Function (Required)
     * Update component when some change has occured
     */
    function onUpdateGateway(oGateway){
        //Check
        if(! (oGateway instanceof Gateway) ){
            throw "oComponent is not a Component instance";
            return false;
        }

        // Update Combos values
        switch(oGateway.getProtocol()){
            case "http":{
                var $Elem = $("#gateway-properties [eve-manager-id='http/request'] option");
                for(var i = 0; i < $Elem.length; ++i){
                    var $currElem = $($Elem[i]);
                    if($currElem.val() == oGateway.getParamVal("http/request")){
                        $currElem.prop("selected",true);
                        break;
                    }
                }
                
                if (oGateway.getParamVal("http/authenticate") == true) {
                    $($("#gateway-properties [eve-manager-id='http/user']")[0]).prop('disabled', false);
                    $($("#gateway-properties [eve-manager-id='http/password']")[0]).prop('disabled', false);
                } else {
                    $($("#gateway-properties [eve-manager-id='http/user']")[0]).prop('disabled', true);
                    $($("#gateway-properties [eve-manager-id='http/password']")[0]).prop('disabled', true);
                }

            }break;
            case "modbustcp":{
                var $Elem = $("#gateway-properties [eve-manager-id='modbustcp/bytesorder'] option");
                for(var i = 0; i < $Elem.length; ++i){
                    var $currElem = $($Elem[i]);
                    if($currElem.val() == oGateway.getParamVal("modbustcp/bytesorder")){
                        $currElem.prop("selected",true);
                        break;
                    }
                }
            }break;
            case "modbusrtutcp":{
                var $Elem = $("#gateway-properties [eve-manager-id='modbusrtutcp/bytesorder'] option");
                for(var i = 0; i < $Elem.length; ++i){
                    var $currElem = $($Elem[i]);
                    if($currElem.val() == oGateway.getParamVal("modbusrtutcp/bytesorder")){
                        $currElem.prop("selected",true);
                        break;
                    }
                }
            }break;
        }
    }
}
catch(err){
    console.error(err);
}
