/** Initialize component when component is dragged to component list (onCreateComponent must be exist in each html component file) */
try{
    /** On Define Component Function (Required)
     * Initialize component behavior for virtual scenario composition
     */
    function onDefineComponent(oComponent){
        var oDescriptor = oComponent.getDescriptor();
        var defaultAction = 2;
        var defaultValue = 2;
        
        /**
         * Param 1 -> Type; Param 2 -> Min; Param 3 -> Max; Param 4 -> Default
         */
        oDescriptor.setValueDescription(0,1,3,defaultValue);
        
        oDescriptor.addDescription(1,_D("Close/Down"));
        oDescriptor.addDescription(2,_D("Stop"));
        oDescriptor.addDescription(3,_D("Open/Up"));
        
        //Set editables
        oDescriptor.setValueEditable(false);
    };
}
catch(err){
    console.error(err);
}
