/** Initialize component when component is dragged to component list (onCreateComponent must be exist in each html component file) */
try{
    /** On Init Component Function (Required)
     * Initialize component when component is dragged to component list
     */
    function onInitComponent(oComponent){

        oComponent.addParamVal("defaultViewMode",10);
        oComponent.addParamVal("defaultViewMode2",10);
        oComponent.addParamVal("defaultViewMode3",10);
        oComponent.addParamVal("defaultViewMode4",10);
        oComponent.addParamVal("defaultViewMode5",10);


        //Set default values
        oComponent.addParamVal("name",_D("Image")+" "+oComponent.UId);

        //Select default Gui gateway
        oComponent.addParamVal("gateway",application.getGatewaysByProtocol("gui")[0]);

        //Set default icons set
        oComponent.addParamVal("icons", new Array());

        var aIcons = oComponent.getParamVal("icons");
        var oIcon_status_0 = new Icon();


        var oDefaultPan = application.ResoucesManager.getDefaultIconsPan();

        var panw=model["instance"].skin.IconsPan[0].imgWidth;
        var panh=model["instance"].skin.IconsPan[0].imgHeight;
        var iconw=model["instance"].skin.IconsPan[0].iconsWidth;
        var iconh=model["instance"].skin.IconsPan[0].iconsHeight;

        var i0=model["instance"].skin.IconsPan[0].ComponentsInfo.Image.defaultIcons[0];
        console.log(i0);
        $.extend(true, oIcon_status_0, {
            status: 0,
            position:{ x: -i0.position.x*iconw, y: -i0.position.y*iconh },
            enableColors: false,
            srcId: oDefaultPan["id"],
            size: { h: iconh, w: iconw },
            setSize: { h: panh, w: panw }

        });

        //Important: mantain original position
        aIcons.push(oIcon_status_0);

        oComponent.addParamVal("viewmodelist",[
            {id:10, label:"Only Image"}
        ]);



        oComponent.addParamVal("gui/src","");
        oComponent.addParamVal("gui/width","");
        oComponent.addParamVal("gui/height","");
        oComponent.addParamVal("EVEUIStyle","onlyMap");
        oComponent.addParamVal("uiDisableCircle",true);
    };
}
catch(err){
    console.error(err);
}
