/** Initialize component when component is dragged to component list (onCreateComponent must be exist in each html component file) */
try{
    /** On Init Component Function (Required)
     * Initialize component when component is dragged to component list
     */
    function onInitComponent(oComponent){
        //console.log("%c/components/"+ oComponent.getType() +"/initialization","color:purple");
        
        //Set default values
        oComponent.addParamVal("name", _D("Timer")+" "+oComponent.UId);
        oComponent.addParamVal("icons", new Array());

        var aIcons = oComponent.getParamVal("icons");
        var oIcon_status_0 = new Icon();
        var oDefaultPan = application.ResoucesManager.getDefaultIconsPan();
        
        var panw=model["instance"].skin.IconsPan[0].imgWidth;
        var panh=model["instance"].skin.IconsPan[0].imgHeight;
        var iconw=model["instance"].skin.IconsPan[0].iconsWidth;
        var iconh=model["instance"].skin.IconsPan[0].iconsHeight;

		var i0=model["instance"].skin.IconsPan[0].ComponentsInfo.Timer.defaultIcons[0];
        $.extend(true, oIcon_status_0, {
            status: 0,
            position:{ x: -i0.position.x*iconw, y: -i0.position.y*iconh },
            enableColors: false,
            srcId: oDefaultPan["id"],
            size: { h: iconh, w: iconw },
            setSize: { h: panh, w: panw }

        });
        //-896px -640px
        
        //Important: mantain original position
        aIcons.push(oIcon_status_0);

        oComponent.addParamVal("viewmodelist",[ {id:0, label:"Classic"},{id:1, label:"Modal"} ]);
        
        //Set description
        oComponent.addParamVal("description","");
        
        //Set repetition
        oComponent.addParamVal("repetition","next-time");
        
        //Set cron
        var today = new Date();
        var aCron = new Array(
            today.getMinutes(),
            today.getHours(),
            "*",
            "*",
            "*"
        );
        
        oComponent.addParamVal("cron",aCron.join(" "));

        //Ghost
        oComponent.addParamVal("ghost/virtual-feedback",true);
        oComponent.addParamVal("ghost/userdata","");
        oComponent.addParamVal("EVEUIStyle","onlyMap");

    };
}
catch(err){
    console.error(err);
}
